{
  "name": "accounting-ng-nuttakit",
  "version": "1.0.0",
  "main": "electron/main.js",
  "author": "Nuttakit",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "watch": "ng build --watch --configuration development",
    "test": "ng test",
    "electron": "ng build --base-href ./ && electron .",
    "dist": "ng build --configuration production && electron-builder"
  },
  "build": {
    "appId": "accounting.nuttakit.work",
    "productName": "accounting-nuttakit",
    "asar": false,
    "directories": {
      "output": "dist_electron"
    },
    "files": [
      "dist/accounting-ng-nuttakit/browser/**/*",
      "electron/**/*",
      "!node_modules/@capacitor/android/**/*"
    ],
    "win": {
      "target": [
        "nsis",
        "msi"
      ],
      "icon": "public/favicon.ico"
    },
    "nsis": {
      "oneClick": false,
      "perMachine": true,
      "allowElevation": true,
      "runAfterFinish": false
    }
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "^20.3.10",
    "@angular/common": "^20.3.10",
    "@angular/compiler": "^20.3.10",
    "@angular/core": "^20.3.10",
    "@angular/forms": "^20.3.10",
    "@angular/platform-browser": "^20.3.10",
    "@angular/platform-browser-dynamic": "^20.3.10",
    "@angular/router": "^20.3.10",
    "@capacitor/android": "^7.4.4",
    "@capacitor/angular": "^2.0.3",
    "@capacitor/core": "latest",
    "@fortawesome/angular-fontawesome": "^3.0.0",
    "@fortawesome/fontawesome-free": "^7.1.0",
    "@fortawesome/fontawesome-svg-core": "^7.1.0",
    "@fortawesome/free-brands-svg-icons": "^7.1.0",
    "@fortawesome/free-regular-svg-icons": "^7.1.0",
    "@fortawesome/free-solid-svg-icons": "^7.1.0",
    "@tailwindcss/postcss": "^4.1.16",
    "chart.js": "^4.5.1",
    "dotenv": "^17.2.3",
    "jwt-decode": "^4.0.0",
    "ng2-charts": "^6.0.1",
    "postcss": "^8.5.6",
    "rxjs": "~7.8.0",
    "tailwindcss": "^4.1.16",
    "tslib": "^2.3.0",
    "zone.js": "~0.15.0"
  },
  "devDependencies": {
    "@angular/build": "^20.3.9",
    "@angular/cli": "^20.3.9",
    "@angular/compiler-cli": "^20.3.10",
    "@capacitor/cli": "latest",
    "@types/jasmine": "~5.1.0",
    "cross-env": "^10.1.0",
    "electron": "^39.0.0",
    "electron-builder": "^26.0.12",
    "jasmine-core": "~5.6.0",
    "karma": "~6.4.0",
    "karma-chrome-launcher": "~3.2.0",
    "karma-coverage": "~2.2.0",
    "karma-jasmine": "~5.1.0",
    "karma-jasmine-html-reporter": "~2.1.0",
    "ngx-toastr": "^19.1.0",
    "postcss": "^8.5.3",
    "typescript": "~5.9.3"
  }
}
